using System;

namespace KV2_Spojler
{
    class MainClass
    {
        public static void Main()
        {
            int a, b, x, y;
            string[] unos = Console.ReadLine().Split(' ');
            a = int.Parse(unos[0]);
            b = int.Parse(unos[1]);
            unos = Console.ReadLine().Split(' ');
            x = int.Parse(unos[0]);
            y = int.Parse(unos[1]);

            if (x == a)
            {
                if (y == b)
                {
                    Console.WriteLine("nijedan");
                }
                else
                {
                    Console.WriteLine("drugi");
                }
            }
            else
            {
                if ((a > x) && (b > y))
                {
                    Console.WriteLine("?");
                }
                else
                {
                    Console.WriteLine("prvi");
                }
            }
        }
    }
}